Package org.eclipse.app4mc.amalthea.model.builder

## Class CommonElementsBuilder

- Object
- - CommonElementsBuilder

    public class CommonElementsBuilder
    extends Object

### Constructor Summary

Constructors
`CommonElementsBuilder()`

### Method Summary

All Methods
`CommonElements` `commonElementsRoot​(Procedures.Procedure1<CommonElements> initializer)`
`void` `coreClassifier​(CommonElements container, Procedures.Procedure1<CoreClassifier> initializer)`
`void` `memoryClassifier​(CommonElements container, Procedures.Procedure1<MemoryClassifier> initializer)`
`void` `namespace​(CommonElements container, Procedures.Procedure1<Namespace> initializer)`
`void` `segment​(Namespace container, Procedures.Procedure1<Namespace> initializer)`
`void` `tag​(CommonElements container, Procedures.Procedure1<Tag> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CommonElementsBuilder

    public CommonElementsBuilder()

### Method Detail

#### commonElementsRoot

    public CommonElements commonElementsRoot​(Procedures.Procedure1<CommonElements> initializer)

#### memoryClassifier

    public void memoryClassifier​(CommonElements container,
                                 Procedures.Procedure1<MemoryClassifier> initializer)

#### coreClassifier

    public void coreClassifier​(CommonElements container,
                               Procedures.Procedure1<CoreClassifier> initializer)

#### tag

    public void tag​(CommonElements container,
                    Procedures.Procedure1<Tag> initializer)

#### namespace

    public void namespace​(CommonElements container,
                          Procedures.Procedure1<Namespace> initializer)

#### segment

    public void segment​(Namespace container,
                        Procedures.Procedure1<Namespace> initializer)